<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__abstraction__rtos__time" kind="group">
    <compoundname>group_abstraction_rtos_time</compoundname>
    <title>Time</title>
      <sectiondef kind="user-defined">
      <memberdef const="no" explicit="no" id="group__group__abstraction__rtos__time_1gabd06aeecc3dfc78f92345c24d381733f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy_rtos_get_time</definition>
        <argsstring>(cy_time_t *tval)</argsstring>
        <name>cy_rtos_get_time</name>
        <param>
          <type><ref kindref="member" refid="group__group__abstraction__rtos__port_1ga141349b315f2266d5e0e8b8566eb608b">cy_time_t</ref> *</type>
          <declname>tval</declname>
        </param>
        <briefdescription>
<para>Gets time in milliseconds since RTOS start. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Since this is only 32 bits, it will roll over every 49 days, 17 hours, 2 mins, 47.296 seconds&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">tval</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the struct to populate with the RTOS time</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Time in milliseconds since the RTOS started. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cyabs_rtos.h" line="691" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__abstraction__rtos__time_1gaa33d9f3026f722ac92950c6215e4283a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy_rtos_delay_milliseconds</definition>
        <argsstring>(cy_time_t num_ms)</argsstring>
        <name>cy_rtos_delay_milliseconds</name>
        <param>
          <type><ref kindref="member" refid="group__group__abstraction__rtos__port_1ga141349b315f2266d5e0e8b8566eb608b">cy_time_t</ref></type>
          <declname>num_ms</declname>
        </param>
        <briefdescription>
<para>Delay for a number of milliseconds. </para>        </briefdescription>
        <detaileddescription>
<para>Processing of this function depends on the minimum sleep time resolution of the RTOS. The current thread should sleep for the longest period possible which is less than the delay required, then makes up the difference with a tight loop.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">num_ms</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of milliseconds to delay for</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the creation request. [<ref kindref="member" refid="group__group__abstraction__rtos__common_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>, <ref kindref="member" refid="group__group__abstraction__rtos__common_1ga89a0a071bd7a41b5d1f3edb969ee1647">CY_RTOS_GENERAL_ERROR</ref>] </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cyabs_rtos.h" line="704" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>APIs for getting the current time and waiting. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>